C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Users.AuthenticationMethods.DeleteAllAsync(
"id"
);
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Users.AuthenticationMethods.DeleteAll(
context.TODO(),
"id",
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.users().authenticationMethods().deleteAll("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->users->authenticationMethods->deleteAll(
'id',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.users.authentication_methods.delete_all(
id="id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.users.authentication_methods.delete_all(id: "id")import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.users.authenticationMethods.deleteAll("id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.users.authenticationMethods.deleteAll("id");
}
main();curl --request DELETE \
--url https://{tenantDomain}/api/v2/users/{id}/authentication-methods \
--header 'Authorization: Bearer <token>'Delete all authentication methods for the given user
Remove all authentication methods (i.e., enrolled MFA factors) from the specified user account. This action cannot be undone.
DELETE
https://{tenantDomain}/api/v2
/
users
/
{id}
/
authentication-methods
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Users.AuthenticationMethods.DeleteAllAsync(
"id"
);
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Users.AuthenticationMethods.DeleteAll(
context.TODO(),
"id",
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.users().authenticationMethods().deleteAll("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->users->authenticationMethods->deleteAll(
'id',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.users.authentication_methods.delete_all(
id="id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.users.authentication_methods.delete_all(id: "id")import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.users.authenticationMethods.deleteAll("id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.users.authenticationMethods.deleteAll("id");
}
main();curl --request DELETE \
--url https://{tenantDomain}/api/v2/users/{id}/authentication-methods \
--header 'Authorization: Bearer <token>'このページは役に立ちましたか?
⌘I